edu.claflin.finder.log

## Enum LogLevel

- java.lang.Object
- - java.lang.Enum<LogLevel>
  - - edu.claflin.finder.log.LogLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LogLevel>

      public enum LogLevel
      extends java.lang.Enum<LogLevel>

  Enumeration of the logging levels for the user.
  Version:
    1.0 May 28, 2015
  Author:
    Charles Allen Schultz II

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG`
    `NORMAL`
    `VERBOSE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `description` A simple string description of the log level for output.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static LogLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final LogLevel NORMAL

    - #### VERBOSE

          public static final LogLevel VERBOSE

    - #### DEBUG

          public static final LogLevel DEBUG

  - ### Field Detail

    - #### description

          private final java.lang.String description

      A simple string description of the log level for output.

  - ### Method Detail

    - #### values

          public static LogLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogLevel c : LogLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<LogLevel>`